
- NASM Map file ---------------------------------------------------------------

Source file:  history.asm
Output file:  ../../bin/history.xld

-- Program origin -------------------------------------------------------------

00000000

-- Sections (summary) ---------------------------------------------------------

Vstart            Start             Stop              Length    Class     Name
               0                 0                 0  00000000  progbits  .text
               0                 0                50  00000050  progbits  HEADER
               0                50               890  00000840  progbits  CODE
               0               890               A40  000001B0  progbits  DATA
               0                 0                 0  00000000  nobits    relocatedzero
               0                 0                 0  00000000  nobits    RELOCATEDDATA

-- Sections (detailed) --------------------------------------------------------

---- Section .text ------------------------------------------------------------

class:     progbits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section HEADER -----------------------------------------------------------

class:     progbits
length:                  50
start:                    0
align:                   10
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section CODE -------------------------------------------------------------

class:     progbits
length:                 840
start:                   50
align:                   10
follows:   HEADER
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section DATA -------------------------------------------------------------

class:     progbits
length:                 1B0
start:                  890
align:                   10
follows:   CODE
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section relocatedzero ----------------------------------------------------

class:     nobits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

---- Section RELOCATEDDATA ----------------------------------------------------

class:     nobits
length:                   0
start:                    0
align:     not defined
follows:   not defined
vstart:                   0
valign:    not defined
vfollows:  not defined

-- Symbols --------------------------------------------------------------------

---- No Section ---------------------------------------------------------------

Value     Name
00000000  ELD_HEADER
00000000  eldhSignature
00000008  eldhCodeOffset
0000000C  eldhCodeImageLength
0000000E  eldhCodeAllocLength
00000010  eldhDataOffset
00000014  eldhDataImageLength
00000016  eldhDataAllocLength
00000018  eldhCodeEntrypoint
0000001A  eldhReserved
0000001E  eldhExtensionSize
00000020  ELD_HEADER_size
00000020  ELD_HEADER_size_b
00000010  ELD_HEADER_size_w
00000008  ELD_HEADER_size_d
00000004  ELD_HEADER_size_q
00000002  ELD_HEADER_size_p
00000001  ELD_HEADER_size_pg
00000001  ELD_HEADER_size_ki
00000000  ELD_HEADERX
00000000  eldhxHeader
00000020  eldhxDescriptionOffset
00000024  eldhxHelpOffset
00000028  eldhxLibTable
0000002C  eldhxDateTimeOffset
00000030  ELD_HEADERX_size
00000000  ELD_TRAILER_HEADER
00000000  eldthSignature
00000008  eldthHeaderOffset
0000000C  eldthReserved
0000000E  eldthChecksum
00000010  ELD_TRAILER_HEADER_size
00000010  ELD_TRAILER_HEADER_size_b
00000008  ELD_TRAILER_HEADER_size_w
00000004  ELD_TRAILER_HEADER_size_d
00000002  ELD_TRAILER_HEADER_size_q
00000001  ELD_TRAILER_HEADER_size_p
00000001  ELD_TRAILER_HEADER_size_pg
00000001  ELD_TRAILER_HEADER_size_ki
00000000  ELD_LIBTABLE
00000000  eldltFormat
00000002  eldltAmount
00000004  eldltOffset
00000008  eldltCompressedLength
00000008  ELD_LIBTABLE_size
00000008  ELD_LIBTABLE_size_b
00000004  ELD_LIBTABLE_size_w
00000002  ELD_LIBTABLE_size_d
00000001  ELD_LIBTABLE_size_q
00000001  ELD_LIBTABLE_size_p
00000001  ELD_LIBTABLE_size_pg
00000001  ELD_LIBTABLE_size_ki
00000000  ELD_INSTANCE
00000000  eldiStartCode
00000002  eldiEndCode
00000004  eldiStartData
00000006  eldiEndData
00000008  eldiIdentifier
00000010  eldiFlags
0000000E  eldiListing_size
00000012  eldiListing
00000020  ELD_INSTANCE_size
00000001  eldifResident
00000000  ELD_LINKINFO
00000000  eldlSignature
00000002  eldlReserved
00000006  eldlUseLinkHash
00000008  eldlDataAmount
0000000A  eldlDataPrefixes
0000000C  eldlDataEntries
0000000E  eldlDataAddresses
00000010  eldlCodeAmount
00000012  eldlCodePrefixes
00000014  eldlCodeEntries
00000016  eldlCodeAddresses
00000018  ELD_LINKINFO_size
00000050  CODEOFFSET
00000001  ..@149.num
000001E0  endinstalled
00000001  ..@304.num
00000890  DATAOFFSET
000001B0  data_size
000001B0  transient_data_size
000000E0  resident_data_size
000001B0  total_data_size
00000001  ..@369.num
00000004  ..@378.num
00000290  endresident
00000000  linker._..@399.lframe_?frame_bp
FFFFFFFFFFFFFFFC  linker._..@399.lframe_?instance
FFFFFFFFFFFFFFFA  linker._..@399.lframe_?targetsection_low_optional_high
FFFFFFFFFFFFFFFA  linker._..@399.lframe_?targetsection
FFFFFFFFFFFFFFFB  linker._..@399.lframe_?optional
FFFFFFFFFFFFFFF6  linker._..@399.lframe_?linkinfo
FFFFFFFFFFFFFFF2  linker._..@399.lframe_?nextreloc
FFFFFFFFFFFFFFEE  linker._..@399.lframe_?entry
FFFFFFFFFFFFFFEC  linker._..@399.lframe_?use_hash_low_skip_last_high
FFFFFFFFFFFFFFEC  linker._..@399.lframe_?use_hash
FFFFFFFFFFFFFFED  linker._..@399.lframe_?skip_last
FFFFFFFFFFFFFFEA  linker._..@399.lframe_?name
FFFFFFFFFFFFFFE8  linker._..@399.lframe_?optionalmissing
00000008  ..@530.num
00000840  code_size


---- Section HEADER -----------------------------------------------------------

Real              Virtual           Name
               0                 0  ..@53.strucstart
               0                 0  ..@56.strucstart
              28                28  header_extension_end
              30                30  description

---- Section CODE -------------------------------------------------------------

Real              Virtual           Name
              50                 0  code
              50                 0  ..@79.strucstart
              58                 8  ..@85.data
              70                20  command
              72                22  command.chain
              79                29  ..@90.skipparameter
              7A                2A  command.entry
              82                32  ..@.@@.1.0
              90                40  command.ours
              B8                68  ..@.@@.1.1
              BB                6B  clear
              C0                70  uninstall
              D1                81  ..@.@@.1.2
              E1                91  uninstall.loop
              F2                A2  uninstall.bx
              FC                AC  uninstall.setbx
             77B               72B  ..@144.name
             103                B3  ..@.@@.1.3
             110                C0  uninstall.bxnz
             121                D1  uninstall.done
             129                D9  ..@.@@.1.4
             131                E1  uninstall.error
             13C                EC  run_clear
             146                F6  run_show
             15D               10D  run_show.putsz_end
             162               112  ..@.@@.1.5
             174               124  run_show.in_data_entry
             178               128  run_show.in_separate
             197               147  ..@.@@.1.6
             197               147  run_show.not_entry
             197               147  run_show.loop
             1AF               15F  run_show.not_seg
             1CC               17C  run_show.done
             1CC               17C  run_show.end
             1CD               17D  get_history_first_last
             1DB               18B  ..@.@@.1.7
             1DB               18B  history_missing
             1E8               198  ..@.@@.1.8
             1F0               1A0  skipcomma
             1F7               1A7  ..@220.skipparameter
             1F8               1A8  isstring?
             1FF               1AF  ..@228.skipparameter
             200               1B0  chkeol
             207               1B7  ..@240.skipparameter
             208               1B8  cmd3
             20F               1BF  ..@248.skipparameter
             210               1C0  ispm
             217               1C7  ..@257.skipparameter
             218               1C8  putsz
             21F               1CF  ..@265.skipparameter
             220               1D0  setrc
             227               1D7  ..@274.skipparameter
             228               1D8  putsline_crlf
             22F               1DF  ..@285.skipparameter
             230               1E0  start
             25A               20A  ..@.@@.1.9
             260               210  start.show
             265               215  start.clear
             26A               21A  uninstall_oneshot
             28C               23C  ..@.@@.1.10
             28D               23D  install
             295               245  ..@349.skipparameter
             6E2               692  ..@349.name
             807               7B7  ..@356.name
             815               7C5  ..@361.name
             77B               72B  ..@364.name
             2C4               274  install.only_first
             77B               72B  ..@373.name
             7FC               7AC  ..@380.name
             2DD               28D  ..@.@@.1.11
             2E0               290  linker
             2E3               293  linker._..@399.lenter
             2F4               2A4  linker.error_j1
             2F7               2A7  ..@.@@.1.12
             300               2B0  ..@.@@.1.13
             30E               2BE  ..@.@@.1.14
             31A               2CA  ..@.@@.1.15
             31F               2CF  ..@.@@.1.16
             32D               2DD  ..@.@@.1.17
             332               2E2  ..@.@@.1.18
             342               2F2  ..@.@@.1.19
             347               2F7  ..@.@@.1.20
             357               307  ..@.@@.1.21
             35E               30E  linker.otherloop
             361               311  linker.datarelocloop
             37B               32B  ..@.@@.1.22
             392               342  linker.datarelocfind
             3CB               37B  linker.address_data_reloc
             3D6               386  ..@.@@.1.23
             3D7               387  linker.datanotfound_may_be_optional
             512               4C2  linker.datanotfound
             512               4C2  linker.codenotfound
             3EB               39B  linker.build_match
             406               3B6  ..@.@@.1.24
             409               3B9  ..@.@@.1.25
             415               3C5  ..@.@@.1.26
             416               3C6  linker.donedatareloc
             420               3D0  linker.coderelocloop
             440               3F0  linker.coderelocfind
             495               445  ..@.@@.1.27
             49F               44F  linker.error_j
             4A1               451  ..@.@@.1.28
             4B0               460  linker.donecodereloc
             4B0               460  linker.hint
             4BB               46B  ..@491.skipparameter
             4C8               478  linker.loop_hint
             4CB               47B  ..@.@@.1.29
             4D4               484  linker.end_hint
             4E2               492  ..@504.skipparameter
             772               722  ..@511.name
             4F4               4A4  ..@514.skipparameter
             4F4               4A4  linker.no_hint
             807               7B7  ..@524.name
             512               4C2  linker.error
             515               4C5  linker._..@399.lleave
             519               4C9  plex_check
             52D               4DD  ..@.@@.1.30
             536               4E6  ..@542.skipparameter
             72C               6DC  ..@542.name
             546               4F6  ..@548.skipparameter
             54D               4FD  plex_check.notfound
             54E               4FE  plex_check.checkret
             550               500  linkercoderelocations
             590               540  linkerdatarelocations
             63A               5EA  internalcodetocoderelocations
             65C               60C  internalcodetodatarelocations
             67E               62E  internaldatatocoderelocations
             680               630  internaldatatodatarelocations
             682               632  debuggeramissig
             682               632  ..@567.data
             68A               63A  ..@569.data
             692               642  listmsg
             692               642  listmsg.hint
             6B3               663  listmsg.hint.offset
             6BB               66B  ..@90.name
             6CA               67A  ..@220.name
             6D6               686  ..@228.name
             6E2               692  ..@240.name
             6EB               69B  ..@248.name
             6F2               6A2  ..@257.name
             6F9               6A9  ..@265.name
             701               6B1  ..@274.name
             709               6B9  ..@285.name
             719               6C9  ..@491.name
             722               6D2  ..@504.name
             72C               6DC  ..@514.name
             739               6E9  ..@548.name
             744               6F4  ..@103.name
             74E               6FE  ..@107.name
             757               707  ..@111.name
             767               717  ..@127.name
             772               722  ..@132.name
             77B               72B  ..@140.name
             791               741  ..@165.name
             7A1               751  ..@183.name
             7B1               761  ..@189.name
             7BC               76C  ..@195.name
             7CF               77F  ..@200.name
             7DF               78F  ..@204.name
             7EE               79E  ..@292.name
             7FC               7AC  ..@306.name
             807               7B7  ..@314.name
             815               7C5  ..@322.name
             824               7D4  ..@483.name
             835               7E5  ..@496.name
             85A               80A  ..@532.name
             86B               81B  ..@536.name
             883               833  lmsg

---- Section DATA -------------------------------------------------------------

Real              Virtual           Name
             890                 0  datastart
             890                 0  msg
             890                 0  msg.history
             898                 8  msg.clear
             89E                 E  msg.show
             8A3                13  msg.uninstall_done
             8C2                32  msg.uninstall_error
             8E9                59  msg.history_none
             90B                7B  msg.history_unknown
             927                97  msg.history_missing
             960                D0  uinit_data
             960                D0  msg.help
             A23               193  msg.installed
             A40               1B0  init_data_end
             960                D0  history_data_entry
             970                E0  uinit_data_end
             970                E0  resident_data_end

---- Section relocatedzero ----------------------------------------------------

Real              Virtual           Name
               0                 0  relocatedzero

---- Section RELOCATEDDATA ----------------------------------------------------

Real              Virtual           Name
               0                 0  relocateddata

